Bug Hunting Session
Bug 124399 - FILEOPEN DOCX Top and bottom border lines appear on the table in Writer that weren't present in MS Word
Summary: FILEOPEN DOCX Top and bottom border lines appear on the table in Writer that ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: filter:docx, implementationError
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2019-03-28 15:52 UTC by NISZ LibreOffice Team
Modified: 2019-12-06 15:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file (18.88 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-03-28 15:52 UTC, NISZ LibreOffice Team
Details
A screenshot showcasing the issue (70.98 KB, image/png)
2019-03-28 15:53 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-03-28 15:52:05 UTC
Description:
Top and bottom border lines that weren't present in Microsoft Word appear in LibreOffice Writer on the table in the attached simple document made with MS Word.

Steps to Reproduce:
    1. Open the attached file (Unexpected_border.docx) both in LibreOffice Writer and Microsoft Word.
    2. Compare the documents.

Actual Results:
The table has top and bottom border lines in LibreOffice Writer, but not in Microsoft Word.

Expected Results:
The table shouldn't have any visible borders.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: ade1df0948563b532a5d293c31d46a4f042559ee
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win;
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-03-28 15:52:49 UTC
Created attachment 150364 [details]
The original file
Comment 2 NISZ LibreOffice Team 2019-03-28 15:53:34 UTC
Created attachment 150365 [details]
A screenshot showcasing the issue
Comment 3 Xisco Faulí 2019-03-28 17:46:46 UTC
Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: e74de110d16c95414fac7541c8fe6541d4597113
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Timur 2019-10-16 10:08:00 UTC
In 3.3 there was no table. Repro already 3.4. I remove bibisectRequest and set implementationError. Repro 6.4+.
Comment 5 Commit Notification 2019-11-20 12:18:00 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a59f18b6eb22c43ec10cdc29ba5a13d5feba4f0

tdf#124399 DOCX import: don't apply inside borders to 1-cell tables

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-11-20 14:51:33 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: d468958331f36310d11265ba55d7c27366ab58ab
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Szabolcs Toth, thanks for fixing this issue!
Comment 7 Commit Notification 2019-11-20 22:51:54 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/6aca6d4ba87fec450065b205eff09654ae420d01

tdf#124399 DOCX import: don't apply inside borders to 1-cell tables

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.